scala.tools.nsc.util

# DocStrings

#### object DocStrings

Utilitity methods for doc comment strings

Source
  DocStrings.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DocStrings
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def cleanupSectionText(str: String): String

   Cleanup section text

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def extractSectionParam(str: String, section: (Int, Int)): String

   Extract the section parameter

10. #### def extractSectionTag(str: String, section: (Int, Int)): String

    Extract the section tag, treating the section tag as an indentifier

11. #### def extractSectionText(str: String, section: (Int, Int)): (Int, Int)

    Extract the section text, except for the tag and comment newlines

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def findAll(str: String, start: Int)(p: (Int) ⇒ Boolean): List[Int]

    Return first index following `start` and starting a line (i.e.

    Return first index following `start` and starting a line (i.e. after skipLineLead) which satisfies predicate `p`.

14. #### def findNext(str: String, start: Int)(p: (Int) ⇒ Boolean): Int

    Returns first index following `start` and starting a line (i.e.

    Returns first index following `start` and starting a line (i.e. after skipLineLead) or starting the comment which satisfies predicate `p`.

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def groupDoc(str: String, sections: List[(Int, Int)]): Option[(Int, Int)]

    Optionally start and end index of return section in `str`, or `None` if `str` does not have a @group.

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def mergeInheritdocSections(str: String, idxs: List[Int]): List[Int]

    Merge the inheritdoc sections, as they never make sense on their own

20. #### def mergeUsecaseSections(str: String, idxs: List[Int]): List[Int]

    Merge sections following an usecase into the usecase comment, so they can override the parent symbol's sections

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def paramDocs(str: String, tag: String, sections: List[(Int, Int)]): Map[String, (Int, Int)]

    A map from parameter names to start/end indices describing all parameter sections in `str` tagged with `tag`, where `sections` is the index of `str`.

25. #### def returnDoc(str: String, sections: List[(Int, Int)]): Option[(Int, Int)]

    Optionally start and end index of return section in `str`, or `None` if `str` does not have a @return.

26. #### def sectionTagMap(str: String, sections: List[(Int, Int)]): Map[String, (Int, Int)]

    A map from the section tag to section parameters

27. #### def skipIdent(str: String, start: Int): Int

    Returns index of string `str` following `start` skipping sequence of identifier characters.

28. #### def skipLineLead(str: String, start: Int): Int

    Returns index of string `str` after `start` skipping longest sequence of space and tab characters, possibly also containing a single `*` character or the `/``**` sequence.

29. #### def skipTag(str: String, start: Int): Int

    Returns index of string `str` following `start` skipping sequence of identifier characters.

30. #### def skipToEol(str: String, start: Int): Int

    Skips to next occurrence of `\n' or to the position after the` /``**` sequence following index` start`.`

31. #### def skipVariable(str: String, start: Int): Int

    Returns index following variable, or start index if no variable was recognized

32. #### def skipWhitespace(str: String, start: Int): Int

    Returns index of string `str` following `start` skipping longest sequence of whitespace characters characters (but no newlines)

33. #### def startTag(str: String, sections: List[(Int, Int)]): Int

    The first start tag of a list of tag intervals, or the end of the whole comment string - 2 if list is empty

34. #### def startsWithTag(str: String, start: Int, tag: String): Boolean

35. #### def startsWithTag(str: String, section: (Int, Int), tag: String): Boolean

    Does interval `iv` start with given `tag`?

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def tagIndex(str: String, p: (Int) ⇒ Boolean = idx => true): List[(Int, Int)]

    Produces a string index, which is a list of `sections`, i.e pairs of start/end positions of all tagged sections in the string.

    Produces a string index, which is a list of `sections`, i.e pairs of start/end positions of all tagged sections in the string. Every section starts with an at sign and extends to the next at sign, or to the end of the comment string, but excluding the final two characters which terminate the comment.

    Also take usecases into account - they need to expand until the next usecase or the end of the string, as they might include other sections of their own

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### def variableName(str: String): String

    Extracts variable name from a string, stripping any pair of surrounding braces

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped